Bug 242818 - SELinux is preventing printing via samba
SELinux is preventing printing via samba
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-05 18:57 EDT by Peter R. Brinkler
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 07:48:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SELinux message saved from "setroubleshoot browser" (2.20 KB, text/plain)
2007-06-05 18:57 EDT, Peter R. Brinkler
no flags Details

  None (edit)
Description Peter R. Brinkler 2007-06-05 18:57:47 EDT
Description of problem:
Setting up printing via samba causes selinux to prevent the lpr and lpq jobs
from being executed.

I will attach the alert selinux gives for lpq - the lpd alert is available on
"request" but is 95% similar.

I have also enabled EVERYTHING related to samba and cups in the "SELinux
Administration" application. Only work around I have found is to set SELinux 
policy to permissive... which seems "borken".

Version-Release number of selected component (if applicable):
[riishigh@kosh]~/Desktop% rpm -qa | grep selinux
  libselinux-2.0.13-1.fc7
  selinux-policy-targeted-2.6.4-8.fc7
  libselinux-devel-2.0.13-1.fc7
  selinux-policy-2.6.4-8.fc7
  libselinux-2.0.13-1.fc7
  libselinux-python-2.0.13-1.fc7
  libselinux-devel-2.0.13-1.fc7
[riishigh@kosh]~/Desktop% rpm -qa | grep samba
  samba-3.0.25-2.fc
  system-config-samba-1.2.41-1.fc7
  samba-common-3.0.25-2.fc7
  samba-client-3.0.25-2.fc7


How reproducible:
Installed Fedora 7 and updated to latest using "pup". Added a printer and setup
samba. Started samba and tried printing from my wifes windows box.

Actual results:
SELinux alert

Expected results:
A page on the printer.
Comment 1 Peter R. Brinkler 2007-06-05 18:57:47 EDT
Created attachment 156291 [details]
SELinux message saved from "setroubleshoot browser"
Comment 2 Daniel Walsh 2007-06-06 11:57:01 EDT
Why is lpq.cups labeled samba_share_t?
Comment 3 Daniel Walsh 2007-06-06 12:02:53 EDT
I will add the ability for samba to execute lpr in 

selinux-policy-2.6.4-14

Note You need to log in before you can comment on or make changes to this bug.